<script>
import UserDataService from "@/services/UserDataService";

// eslint-disable-next-line vue/no-export-in-script-setup
export default {
  name: "add-user",
  data() {
    return {
      user: {
        uid: null,
        name: "",
        email: "",
      },
      submitted: false
    };
  },
  methods: {
    saveUser() {
      var data = {
        // uid: this.user.uid,
        name: this.user.name,
        email: this.user.email
      };

      UserDataService.create(data)
          .then(response => {
            this.user.uid = response.data.uid;
            console.log(response.data);
            this.submitted = true;
          })
          .catch(e => {
            console.log(e);
          });
    },

    newUser() {
      this.submitted = false;
      this.user = {};
    }
  }
};
</script>

<template>
 <div class="submit-form">
   <div v-if="!submitted">
     <h4>Add a new User:</h4>
     <div class="form-group">
       <label for="user">User</label>
       <input
         type="text"
         class="form-control"
         id="name"
         required
         v-model="user.name"
         name="name"
         />
     </div>

     <div class="form-group">
       <label for="user">Email</label>
       <input
           class="form-control"
           id="email"
           required
           v-model="user.email"
           name="email"
       />
     </div>

     <button @click="saveUser" class="m-3 btn btn-sm btn-success">Submit</button>
     <router-link
         to="/users/"
         custom
         v-slot="{ navigate }"
     >
       <button
           class="m-3 btn btn-sm btn-info"
           @click="navigate"
           role="link"
       >
         Go back
       </button>
     </router-link>
   </div>

   <div v-else>
     <h4>You submitted successfully!</h4>
     <button class="m-3 btn btn-sm btn-success" @click="newUser">Add another</button>
     <router-link
         to="/users/"
         custom
         v-slot="{ navigate }"
     >
       <button
           class="m-3 btn btn-sm btn-info"
           @click="navigate"
           role="link"
       >
         Go back
       </button>
     </router-link>
   </div>
 </div>
</template>

<style>
.submit-form {
  max-width: 300px;
  margin: auto;
}
</style>